summaryrefslogtreecommitdiffhomepage
path: root/make-tar.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make-tar.sh')
-rw-r--r--make-tar.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/make-tar.sh b/make-tar.sh
index cd5abc56..3e119d12 100644
--- a/make-tar.sh
+++ b/make-tar.sh
@@ -2,14 +2,24 @@
prefix="$1"
filename="$2"
+bin="$3"
+
+cmake --build "$bin" --target install || exit 1
if : &&
cd $(dirname -- "${prefix}") &&
zip -9r "${filename}" $(basename "${prefix}")
then
- ls -lh -- "${filename}"
- case "$(uname -s)" in
- CYGWIN_*) ls -lh -- "$(cygpath -w -- "$filename")";;
+ case "$USER,$(uname -s)" in
+ # for the script see https://github.com/andreafabrizi/Dropbox-Uploader
+ sthalik,CYGWIN_*)
+ dropbox_uploader.sh -p upload "$filename" /
+ bn="$(basename -- "$filename")"
+ l="$(dropbox_uploader.sh -q share /"$bn")"
+ test -n "$l" && echo -n "$l" | putclip
+ echo $l
+ echo -ne '\a' ;;
+ *) ls -lh -- "${filename}" ;;
esac
else
rm -fv -- "${filename}"